Description

MediaSpecimen were originally "invented" to allow handling specimesn which are available only as images/drawings/figures etc. and
which therefore should explicitly be handled as derived units in the specimen tree.

They were NOT intended to handle "image galleries” for e.g. specimen photos taken in the field, even not necessarily for handling
photos taken from the specimen in a collection. For these photos we have the "image gallery" were images/media can simply be
attached to a specimen without further defining how the photo "derived" from the original unit.

The typical characteristic of a media specimen is that it has exactly 1 media attached which is THE media representing the
specimen. But, as being a derived unit, it usually should also be part of a collection and have an accession number (though maybe
not known to the user).

Ordinary photos/media taken from the field unit or a specimen (also sound files for animals) were not intended to be used for
MediaSpecimen and not intended to be connected to there originals via derivation events.

But the current implementation of the TaxEditor allows e.g. to add via right click menu media derivates to a field unit. For
kind-of-media one can choose from "detail image", "Specimen Scan", "Living plant photo", "Artwork". If one chooses e.g. living plant
photo this is not consistent with the intended semantics of MediaSpecimen and of derivates.

Currently we expect pictures taken in the field being attached as media in the media view. But this is not obvious for the user.

There are various solutions that need to be discussed,

e handle ALL images attached to a specimen as derivates (in theory this might be correct, as there is not a real difference
between a specimen scan and an ordinary photo taken in the field, except maybe for the fact that one is stored in some kind of
collection and the other is simply online but not related otherwise), this creates more complexity for ordinary images with no
further available information, but unifies the handling of media. Problematic is if one wants to attache a media that is not really a
derivate but maybe only related to the specimen, in this case the semantics is not correct

¢ remove functionality to add media derivates directly to field units

¢ keep it as it is and let the user decide (maybe improve documentation) - but requires "bug" fix in dataportal as currently the
media specimen are not shown in taxon image gallery (as these derivates are not explicitly attached to the taxon it might even
not be expected), only those derivates attached to the taxon should be shown if derived units are attached and not the whole
field unit, this is also critical for the first solution

e keep right click menu functionality but store media instead in media gallery instead creating a new derived unit
. )

Related issues:
Related to EDIT - bug #6297: [Overview] BGBM User group wishes 2017 New

History

#1 - 07/21/2017 03:13 PM - Andreas Miiller
- Related to bug #6297: [Overview] BGBM User group wishes 2017 added

#2 - 07/21/2017 03:15 PM - Andreas Miiller

- Tags set to salvador, campanula

#3 - 07/22/2017 01:23 AM - Andreas Miiller
- Subject changed from [DISCUSS] Correct use MediaSpecimen to [DISCUSS] Correct use of MediaSpecimen and derivates

#4 - 07/27/2017 04:39 PM - Andreas Miiller
WGB (2017-07-22):

ich bin unterwegs, Diskussionsbeitrag also per Email.

Ich entnehme dem Post von Andreas, dass wir zwar eine Méglichkeit haben, Fotos von field units an eine solche als Derivat anzuhéngen, diese aber
an der falschen Stelle umgesetzt ist.

Wir brauchen sowohl bei der field- wie auch bei den derived units die Mdglichkeit, media-objects (ich wirde sagen: Als derived units) anzuh&ngen.
Dies ist nicht die einzige Stelle im Specimen Baum, an der wir rein digitale Objekte abbilden — man denke nur an die Sequenzen. Zu den
Mediaobjekten, die ich als derived unit der field unit betrachten wiirde, gehéren neben den Abbildungen von Organismen bei der Aufsammlung auch
reine Observationen, z.B. Tierstimmenaufnahmen, reine occurrence records, etc. Die Frage wére hier eher, ob wir immer eine derived unit bilden
oder die Field unit selbst als ,specimen* betrachten.

Die Unterscheidung zu dem EINEN MediaSpecimen (das auch irgendwie derived ist) wird mir nicht klar.

#5 - 07/27/2017 04:40 PM - Andreas Miiller
TH (2017-07-24):

MediaSpecimen wurde ja v.a. “erfunden” um der Notwendigkeit Rechnung zu tragen, dass der Typus in der Hierarchie untergebracht werden kann,
wenn er eine lllustration ist (http:/www.iapt-taxon.org/nomen/main.php?page=art8#_ftn5).

Normale ,media-objects” kénnen ja bereits an der FieldUnit angehangt werden und das war auch so geplant (Fotos von der Aufsammilung die der FU
eindeutig zugeordnet werden kénnen).

Das MediaSpecimen sollte so wie es ist (wenn denn alles korrekt funktioniert) beibehalten werden, dem Nutzer muss nur seine spezielle Funktion klar
sein. Vielleicht mit einer Warnung (MouseOver) oder Pflichtfeldern (Sammlungsinformationen, Accessionnumber, Barcode etc.).

Ich wiirde also fiir L6sung drei pladieren (keep it as it is and let the user decide (maybe improve documentation) - but requires "bug" fix in dataportal
as currently the media specimen are not shown in taxon image gallery (as these derivates are not explicitly attached to the taxon it might even not be
expected), only those derivates attached to the taxon should be shown if derived units are attached and not the whole field unit, this is also critical for
the first solution).

Ein MediaSpecimen sollte aber eigentlich eine Taxonzuordnung haben und dann auch im Portal erscheinen, insbesondere da MediaSpecimen ja im
Prinzip fir Typen kreiert wurde...

#6 - 07/27/2017 05:05 PM - Andreas Miuller

Andreas Muller wrote:
WGB (2017-07-22):

ich bin unterwegs, Diskussionsbeitrag also per Email.

Ich entnehme dem Post von Andreas, dass wir zwar eine Moglichkeit haben, Fotos von field units an eine solche als Derivat anzuhangen, diese
aber an der falschen Stelle umgesetzt ist.

Wir brauchen sowohl bei der field- wie auch bei den derived units die Mdglichkeit, media-objects (ich wirde sagen: Als derived units)
anzuhé&ngen. Dies ist nicht die einzige Stelle im Specimen Baum, an der wir rein digitale Objekte abbilden — man denke nur an die Sequenzen.
Zu den Mediaobjekten, die ich als derived unit der field unit betrachten wiirde, gehéren neben den Abbildungen von Organismen bei der
Aufsammlung auch reine Observationen, z.B. Tierstimmenaufnahmen, reine occurrence records, etc. Die Frage ware hier eher, ob wir immer
eine derived unit bilden oder die Field unit selbst als ,specimen” betrachten.

Die Unterscheidung zu dem EINEN MediaSpecimen (das auch irgendwie derived ist) wird mir nicht klar.

There are 2 issues,

1. usage of MediaSpecimen<->DerivedUnit
2. Media attached to SpecimenOrObservation<->Media as Derivation of SpecimenOrObservation

Here | will only discuss 2.). Generally it is possible to handle all images, sounds, etc. as derivation and it may even make sense sometimes. However,
there are also problems involved:

e redundant information: both classes, the media class and the derivation event class hold similar information (e.g. Agent/Artist, Date, ...)

e complexity: 2 additional record/objects (derivation event, derived unit) are stored which usually do not hold any information, in case the media is
not stored in any collection (with collection name, accession number, etc.)

unclear relationship to taxon: if a specimen is related to a taxon via an individuals association (e.g. Specimen feature in Factual Data View),
images of this specimen are usually shown in the taxa image gallery. Also images of the according field unit are shown there as the field unit is
considered to belong to the specimen. However, sibbling derivations of the specimen are currently not considered to belong the the specimen
and therefore also do not show up in the taxon image gallery. Otherwise also images of specimen duplicates stored in other collections would
automatically show up which is not necessarily wanted. Current rule is, we walk up to the root but not down on a sibbling path again to collect the
images

no differentation between media specimen and simple images which are no part of a collection (1.)

So we should either
1.) handle ALL media as derivations and remove the direct specimen<->media relationship or

2.) adapt the TaxEditor user interface in a way that it is less confusing (e.g. images will always be handled in the tree as kind-of derivation, but there is
the user may distinguish adding a media AND adding a media being a specimen itself (like a drawing or a catalogued image, ...)

#8 - 11/04/2021 12:34 PM - Andreas Miiller

- Description updated
#9 - 11/08/2021 10:40 AM - Andreas Miiller
WGB:

Ich finde die Behandlung von eindeutig auf eine Unit bezogenen Fotos (oder anderen Medien) als Derived Unit von der Modellierung her schlissig,
auch wenn es eventuell in der weiteren Behandlung Fragen aufwirft.

Beispiel Salvador-Daten: Wir haben mittlerweile Uber 12.000 Fotos (davon 5.650 bereits Gber JACQ online, weitere 2.600 fertig vorbereitet), die sich
alle explizit auf eine LAGU-Aufsammlungsnummer beziehen. Sehr viele davon beziehen sich auf Field Units, die auch in der Salvador EDIT-Instanz
zitiert werden. Wenn die Fotos als Derived Units direkt an die Field Unit gehangt werden kénnten, wird die Absicht des Herausgebers auch klar: wenn
sie eine entsprechende ,publish” Flag aufweisen*, sollen sie im Portal (auch) beim Taxon gezeigt werden, wenn eine betroffene Derived Unit dem
Taxon zugeordnet wurde. Das letzte ist ein wesentlicher Punkt: Wenn ein Beleg umbestimmt und damit woanders hin gestellt wird, wandern die Fotos
mit. Die eigentlichen Foto-Metadaten liegen bei Bild (Fotograf, Lizenz, Technik etc.) — die weiteren Metadaten sollten dynamisch von der Field Unit
und ihrer taxonomischen Einordnung bezogen werden.

Die Schwierigkeit bei der Modellierung tritt ein, wenn es Standortaufnahmen gibt, zu denen es dann (0 bis) mehrere Aufsammlungen geben kann. Die
mussten eigentlich auf der Ebene der Field Unit gehandhabt werden, da sie ja praktisch alle Aufsammlungsdaten (Fundort, Zeit, verantwortliche
Person etc.) aufweisen, nur eben ohne eine bestimmte Pflanze oder Population zu betreffen. Das muss irgendwie klar gekennzeichnet werden.
Andererseits mussten sie mit ,normalen” Field Units verlinkbar sein — aber nicht automatisch, tber Koordinaten 0.4., sondern explizit vom
Herausgeber.

Das gilt dann auch fur extern verlinkte Aufnahmen — z.B. gibt es in Tropicos zahlreiche Standortfotos, die an einem Specimen hangen (obwohl sie
sich natlrlich auch hier fast immer eigentlich auf die Field Unit beziehen — gekennzeichnet durch Sammler/Sammelnummer). Wenn die verlinkt
werden, sollten sie bei uns an die Field Unit geh&ngt werden. Auch in JACQ gibt es meines Wissens nach bisher keine Field Unit.

*[Sinnvoll wére es vielleicht, hier ,publish for taxon“ von ,publish for specimen-set“ zu unterscheiden).
